Package com.destroystokyo.paper.loottable

# Interface LootableBlockInventory

All Superinterfaces:
  `Lootable`, `LootableInventory`

All Known Subinterfaces:
  `Chest`, `Dispenser`, `Dropper`, `Hopper`, `ShulkerBox`

public interface LootableBlockInventory extends LootableInventory
Represents an Inventory that can generate loot, such as Chests inside of Fortresses and Mineshafts

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Gets the block that is lootable

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableInventory

`getLastFilled, getLastLooted, getLastLooted, getNextRefill, hasBeenFilled, hasPendingRefill, hasPlayerLooted, hasPlayerLooted, isRefillEnabled, setHasPlayerLooted, setHasPlayerLooted, setNextRefill`

## Method Details

### getBlock

@NotNull @NotNull Block getBlock()
Gets the block that is lootable

Returns:
  The Block